<style>
.gf-activation #content h2, .gf-activation #content span.h3, .gf-activation #content #signup-welcome p, .gf-activation #content div, .gf-activation #content p {
	display: block;
}
.gf-activation #content #signup-welcome p:first-child, .gf-activation #content p.lead-in {
	display: block;
	margin-bottom: 0;
}
.gf-activation #content {
	position: fixed;
	top: 0;
	margin: auto;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 999999;
	text-align: center;
	background-color: rgba(0, 0, 0, 0.5);
	display: table;
	width: 100%;
	height: 100%;
}
.gf-activation #content #signup-welcome {
	display: table-cell;
	width: 100%;
	box-sizing: border-box;
	text-align: center;
	vertical-align: middle;
}
.gf-activation #signup-welcome .group-cell {
	width: 430px;
	max-width: 100%;
	margin: auto;
	background-color: rgba(255, 255, 255, 0.8);
	padding: 20px;
	border-radius: 5px;
}
.gf-activation #content .button {
	background: #3089C3;
	color: #fff;
	font-size: 15px;
	padding: 10px 5px;
	width: 100px;
	margin: 15px auto 0;
	line-height: normal !important;
	cursor: pointer;
}
</style>
<script>
jQuery( document ).ready( function( $ ){
	var getPostValue = (function getPostValue(key) {
        var pageURL = decodeURIComponent(window.location.search.substring(1)),
            URLvar = pageURL.split('&'),
            keyName,
            i;      
        for (i = 0; i < URLvar.length; i++) {
            keyName = URLvar[i].split('=');
      
            if (keyName[0] === key) {
                return keyName[1] === undefined ? true : keyName[1];
            }
        }
    }),
	<?php
		$login = '';
		if( ae_get_option( 'gf_btn_link', false ) ){
			$login = sprintf( '<a class="button" href="%s">%s</a>', ae_get_option( 'gf_btn_link', false ), __( 'Login' ) );
		}
		$jason = json_encode( '<div id="signup-welcome"><div class="group-cell"><h2 class="h2">' . ae_get_option( 'gf_title', false ) . '</h2><div class="desc">' . ae_get_option( 'gf_description', false ) . '</div>' . $login . '</div></div>' );
	?>
	html = <?php echo $jason; ?>;
    if( getPostValue( 'page' ) == 'gf_activation' ){
        $( 'body' ).addClass( 'gf-activation' );
		$( '.gf-activation .widecolumn' ).html( html );
        $( document ).click( function( e ){
            var target = e.target;
            var targetid = target.id;
        });
    }
});
</script>
